﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Report;
using C1.Win;
using C1.Win.C1Preview;

namespace C1Report_HidingAFieldOnPrinting_CS
{
    public partial class Form1 : Form
    {
        C1Report rpt = new C1Report();        
        string ReportDef = "CommonTasks.xml";
        string ReportName = "01: Alternating Background (Greenbar report)";

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            rpt.Load(ReportDef, ReportName);
            foreach (Field f in rpt.Fields)
            {
                listBox1.Items.Add(f.Name);
            }
           c1PrintPreviewControl2.Document = rpt.Document;
           c1PrintPreviewControl2.PreviewPane.PreviewPrint += new C1.Win.C1Preview.PreviewPrintEventHandler(PreviewPane_PreviewPrint);
        }
        void PreviewPane_PreviewPrint(object sender, PreviewPrintEventArgs e)
        {
            e.Cancel = true;
            C1Report rpt_n = new C1Report();
            rpt_n.Load(ReportDef, ReportName);
            foreach (string s in listBox2.Items)
            {
                rpt_n.Fields[s].Visible = false;
            }
           
            PrintDialog dlg = new PrintDialog();
            dlg.PrinterSettings = rpt_n.Document.PrinterSettings;
            if (dlg.ShowDialog() == DialogResult.OK)
            {
                rpt_n.Document.Print();
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (this.listBox1.SelectedItem != null)
            {
                this.listBox2.Items.Add(this.listBox1.SelectedItem);
                this.listBox1.Items.RemoveAt(this.listBox1.SelectedIndex);
            }
            else
            {
                MessageBox.Show("Please select a field to drop to the second listbox!!!", "ERROR", MessageBoxButtons.OKCancel);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (this.listBox2.SelectedItem != null)
            {
                this.listBox1.Items.Add(this.listBox2.SelectedItem);
                this.listBox2.Items.RemoveAt(this.listBox2.SelectedIndex);
            }
            else
            {
                MessageBox.Show("Please select a field to drop back to the first listbox!!!","ERROR",MessageBoxButtons.OKCancel);

            }
        }
    }
}
